import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from "react";
import Typography from "@mui/material/Typography";
import Grid from "@mui/material/Grid";
import NerdHeadingIcon from "./nerdHeadingIcon";
import { ConditionalWrapper } from "../../utility/conditionalWrapper";
export const NerdHeadingComposed = (props) => {
    const { text, display, variant, classes, icon, color, children, iconPosition = "left", spacing = 1, alignItems = "center", uppercase, ...rest } = props;
    return (_jsx(ConditionalWrapper, { condition: (text !== "" || typeof children === "string") && icon !== undefined, wrapper: (childrenContent) => (_jsx(Grid, { container: true, spacing: spacing, alignItems: alignItems, children: childrenContent })), children: _jsxs(React.Fragment, { children: [icon && _jsx(NerdHeadingIcon, { ...{ icon, color, iconPosition } }), typeof children === "object" && (_jsx(NerdHeadingIcon, { icon: children, ...{ color, iconPosition } })), (typeof children === "string" || text) && (_jsx(Grid, { item: true, children: _jsx(Typography, { display: display, variant: variant, classes: classes, color: color, textTransform: uppercase ? "uppercase" : undefined, ...rest, children: typeof children === "string" ? children : text }) }))] }) }));
};
//# sourceMappingURL=nerdHeadingComposed.js.map