import { jsx as _jsx } from "react/jsx-runtime";
import { MobileDatePicker } from "@mui/x-date-pickers/MobileDatePicker";
import { LocalizationProvider } from "@mui/x-date-pickers/LocalizationProvider";
import { AdapterMoment } from "@mui/x-date-pickers/AdapterMoment";
import TextField from "@mui/material/TextField";
import { InputAux } from "../nerdInputEnums";
import moment from "moment";
export const NerdDate = ({ label = "", placeholder = "", helperText = " ", required = false, variant = "standard", onChange, value, }) => {
    return (_jsx(LocalizationProvider, { dateAdapter: AdapterMoment, children: _jsx(MobileDatePicker, { label: label, value: value, onChange: onChange, minDate: moment(), renderInput: (params) => (_jsx(TextField, { ...params, variant: variant, placeholder: placeholder, InputLabelProps: {
                    shrink: true,
                }, helperText: required ? InputAux.REQUIRED : helperText, required: required, fullWidth: true })) }) }));
};
//# sourceMappingURL=nerdDate.js.map