import React from "react";
import { AutocompleteType } from "../nerdInput/nerdInputEnums";
/**
 * @param { React.HTMLAttributes<HTMLElement> } paperProps - Autocomplete props onLoad
 * @returns { React.ReactElement } - Render react Autocomplete component onLoad
 */
export declare function PaperComponentOnLoad<Type>(paperProps: Type & {
    props: React.HTMLAttributes<HTMLElement>;
    inputValue: string;
    loading: boolean | undefined;
    autocompleteType?: AutocompleteType.CUSTOMER | AutocompleteType.ADDRESS;
    className?: string;
}): JSX.Element;
