import { jsx as _jsx } from "react/jsx-runtime";
// Generated with util/create-component.js
import { Children } from "react";
import { NerdHeadingComposed } from "./components/nerdHeadingComposed";
import Grid from "@mui/material/Grid";
const NerdHeading = (props) => {
    const { children, spacing, alignItems, ...rest } = props;
    if (Children.count(children) > 0) {
        return (_jsx(Grid, { container: true, spacing: spacing, alignItems: alignItems, children: Children.map(children, (child) => {
                return _jsx(NerdHeadingComposed, { ...rest, children: child });
            }) }));
    }
    return _jsx(NerdHeadingComposed, { ...rest });
};
export default NerdHeading;
//# sourceMappingURL=nerdHeading.js.map