import React from "react";
export interface NerdHeadingProps {
    text?: string | "";
    children?: React.ReactNode;
    icon?: JSX.Element | string | React.ReactNode;
    spacing?: number;
    classes?: unknown;
    display?: "block" | "inline-block" | "inline" | "none" | "inline-flex" | "flex";
    container?: boolean;
    iconPosition?: "left" | "right";
    uppercase?: boolean;
}
export interface INerdHeadingIconProps extends NerdHeadingProps {
    color?: unknown;
}
