import React from "react";
import { IconDefinition, IconName } from "@fortawesome/fontawesome-svg-core";
declare type FontAwesomeSvgIconProps = {
    icon: string | IconDefinition;
    severity?: string;
    iconColor?: string;
};
declare const NerdFontAwesomeIcon: React.ForwardRefExoticComponent<FontAwesomeSvgIconProps & React.RefAttributes<SVGSVGElement>>;
export { NerdFontAwesomeIcon };
/**
 * @param {IconName} icon Icon
 * @returns {IconDefinition} Custom Icon definition
 */
export declare function setCustomIconDefinition(icon: IconName): IconDefinition;
export declare const colorSwitch: (color: string) => string | undefined;
